Skip to main content
GET
/
preview
/
retail-media
/
insights
/
{insightId}
/
status
/preview/retail-media/insights/{insightId}/status
curl --request GET \
  --url https://api.criteo.com/preview/retail-media/insights/{insightId}/status \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "createdAt": "<string>",
      "expiresAt": "<string>",
      "fileSizeBytes": 123,
      "md5CheckSum": "<string>",
      "message": "<string>",
      "rowCount": 123
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

insightId
string
required

The ID of the asynchronous insight report. Must be a valid ID format.

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single entity.

data
object

A domain entity exposed by the API, identified by a unique id.

errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.